#if 0

////////////////////////
//                    //
//  STAT BAR OVERLAYS //
//     VERSION 0.6    //
// BY  DARKCAMPAINGER //
//                    //
//      REFERENCE     //
//                    //
////////////////////////
//
//  > Create a new bar overlay
//
         new/bar_overlay(atom/owner, icon, states, var_stat, var_max, \
                         layer=FLOAT_LAYER, pixel_x=0, pixel_y=0, state_prefix="", \
                         timeout=0, auto_show=null, hide=null)
//
//     > Arguments: (supports named arguments)
//
//        - owner:           the atom the bar is attached to
//        - icon:            icon to use for the bar
//        - states:          number of states, or levels, in the icon (optional)
//        - var_stat:        name of the variable that holds the stat
//        - var_max:         name of the variable that holds the stat's max value
//        - (layer):         layer to place the bar on (optional)
//        - (pixel_x):       pixel_x offset of the bar (optional)
//        - (pixel_y):       pixel_y offset of the bar (optional)
//        - (state_prefix):  prefix for bar's icon_states (optional)
//        - (timeout):       number of ticks to auto-hide bar after (optional)
//        - (auto_show):     whether to show bar on calls to Update() (optional)
//        - (hide):          whether to initially hide bar on creation (optional)
//
//        All properties (except owner) can alternatively be defined at compile-time
//           under a /bar_overlay subtype, at which point they become optional above
//
//     > Returns:
//
//          New bar_overlay attached to the specified owner, displaying percentage
//            of [var_stat]/[var_max]. Uses states "[state_prefix]1" through
//            "[state_prefix][states]" of [icon].
//
//  > Update an existing bar overlay
//
         bar_overlay/Update(_unused=null, force_show=null, force_timeout=null)
//
//     > Arguments:
//
//        - [_unused]:       previously force_update, no longer needed, left for
//                              backwards compatibility
//        - [force_show]:    set to a true value to force the bar to be shown even
//                              if it is currently hidden (overrides bar's auto_show var)
//        - [force_timeout]: set to number of ticks to timeout after and auto-hide
//                              (overrides bar's timeout var)
//
//  > Show a bar overlay
//
         bar_overlay/Show(force_timeout=null)
//
//     > Arguments:
//
//        - [force_timeout]: set to number of ticks to timeout after and auto-hide
//                              (overrides bar's timeout var)
//
//  > Hide a bar overlay
//
         bar_overlay/Hide()
//
//

#endif